import { request } from '@umijs/max';

// 查询菜单权限列表
export async function bannerPage(body) {
    return request('/admin/banner/page', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function bannerAdd(body) {
    return request('/admin/banner/add', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function bannerUpdate(body) {
    return request('/admin/banner/update', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function bannerDelete(body) {
    return request('/admin/banner/deleteBatchByIds', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


